
Katello - Feature #24170

Hammer actions for System Purpose on a Host

07/05/2018 10:41 PM - Jonathon Turel

Status: Closed   

Priority: Normal   

Assignee:    

Category: Hammer   

Target version: Katello 3.13.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/663

  

Description

As a Hammer User I can set and modify the system purpose attributes of my host so

that auto-attach can bind the best available subscriptions

Acceptance Criteria

system purpose attributes can be set when creating a host

system purpose attributes can be set on an existing host

system purpose attributes can be set to nil values (they are not required)

system purpose attributes are shown when retrieving host details

Associated revisions

Revision ec17bd02 - 07/17/2019 02:38 PM - Swetha Seelam Lakshmi Narayanan 

fixes #24170 - SysPurpose on content host info (#663)

History

#1 - 07/05/2018 10:42 PM - Jonathon Turel

- Blocks Feature #24075: System Purpose P1, P2 added

#2 - 07/18/2018 04:50 PM - Jonathon Turel

- Target version set to Katello 3.9.0

#3 - 07/18/2018 06:31 PM - Jonathon Turel

- Triaged changed from No to Yes

#4 - 10/10/2018 05:10 PM - Jonathon Turel

- Target version changed from Katello 3.9.0 to Katello Backlog

#5 - 10/10/2018 05:11 PM - Jonathon Turel

- Blocks deleted (Feature #24075: System Purpose P1, P2)

#6 - 07/03/2019 08:55 PM - Jonathon Turel

- Target version changed from Katello Backlog to Katello 3.13.0

- Triaged changed from Yes to No

#7 - 07/10/2019 05:46 PM - Jonathon Turel

- Triaged changed from No to Yes

#8 - 07/16/2019 07:14 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/hammer-cli-katello/pull/663 added

#9 - 07/17/2019 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset hammer-cli-katello|ec17bd02c639f98fe044606188accfab5ffcc0d1.
